/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #800080;
  --ifm-color-primary-dark: #6d026d;
  --ifm-color-primary-darker: #510151;
  --ifm-color-primary-darkest: #450145;
  --ifm-color-primary-light: #900090;
  --ifm-color-primary-lighter: #a000a0;
  --ifm-color-primary-lightest: #b000b0;
  --ifm-code-font-size: 95%;
  --default-transition-duration: .2s;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme='dark'] {
  --ifm-color-primary: #ab47bc; 
  --ifm-color-primary-dark: #9c27b0; 
  --ifm-color-primary-darker: #8e24aa; 
  --ifm-color-primary-darkest: #7b1fa2; 
  --ifm-color-primary-light: #ba68c8;
  --ifm-color-primary-lighter: #ce93d8;
  --ifm-color-primary-lightest: #e1bee7;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}

/* Override footer style */
[data-theme='light'] .footer--dark {
  --ifm-footer-background-color: #350035;
}

[data-theme='dark'] .footer--dark {
  --ifm-footer-background-color: #300030;
}

.hero {
  color: var(--ifm-color-content-inverse);
  animation-name: heroAnimation;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  height: 100vh;
}

.hero::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-attachment: fixed;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: blur(12px) invert(1);
}

[data-theme='dark'] .hero {
  color: var(--ifm-color-content);
}

.container {
  position: relative;
}